create_page_port#
- TwinBuilderComponents.create_page_port(name, location=None, angle=0, label_position='Auto')#
Create a page port.
- Parameters:
- name
str
Name of the port.
- location
list
,optional
Position on the X and Y axis. If not provided the default is
None
, in which case an empty list is set.- angle
int
,optional
Angle rotation in degrees. The default is
0
.- label_position
str
,optional
Label position. The default is
"auto"
. Options are ‘‘“Center”, ``"Left"
,"Right"
,"Top"
,"Bottom"
.
- name
- Returns:
ansys.aedt.core.modeler.circuits.object_3d_circuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreatePagePort